ColdFusion 10 support with Java 8

With Update 14 for ColdFusion 10, Java 8 is supported.

If you are using ColdFusion Web services you will have to do a one-time change manually.

You should copy tools.jar manually from {JDK8_Home}/lib to {cf_install_home}/cfusion/lib/. ColdFusion Web Services will fail if this is not done. Only JDK contains tools.jar not the jre. You don’t have to install JDK on the machine where ColdFusion is installed. You can just have jre 8 on this machine and get tools.jar from any other machine’s JDK installation.

And also make sure that the earlier stubs are cleared fom {cf_install_home}/cfusion/stubs/ to get the newly compiled classes.

Originally ColdFusion 10 was shipped with jre 1.6. With that build we released tools.jar of jdk1.6.

For Windows there was a refreshed installer release. With this jre include was 1.7 and so we have shipped tools.jar of jdk1.7.

Since, we are not releasing new installers and still if you want ColdFusion to run on jre 1.8.

Unless you want Web services, it is not necessary that you have to upadte it.

The reason why we have not shipped this through updater is that it can break the existing users those who have n’t upgraded their jre.